Debian Bug report logs - #442071
override: mawk:interpreters/required

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Magnus Holmgren <holmgren@lysator.liu.se>

Date: Wed, 12 Sep 2007 22:42:01 UTC

Severity: minor

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#442071; Package mawk. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@lysator.liu.se>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@lysator.liu.se>
To: submit@bugs.debian.org
Subject: mawk: Section should be interpreters
Date: Thu, 13 Sep 2007 00:36:53 +0200
[Message part 1 (text/plain, inline)]
Package: mawk
Version: 1.3.3-11
Severity: minor

mawk's control file still specifies Section: base. The override file puts it 
in section utils. But the other awks, gawk and original-awk, are in section 
interpreters.

I think mawk should probably be in interpreters, too.

-- 
Magnus Holmgren        holmgren@lysator.liu.se
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#442071; Package mawk. (Mon, 01 Mar 2010 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 01 Mar 2010 20:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 442071@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 442071@bugs.debian.org
Cc: Magnus Holmgren <holmgren@lysator.liu.se>
Subject: Re: mawk: Section should be interpreters
Date: Mon, 1 Mar 2010 14:18:16 -0600
Magnus Holmgren wrote:

> mawk's control file still specifies Section: base. The override file puts it 
> in section utils. But the other awks, gawk and original-awk, are in section 
> interpreters.
> 
> I think mawk should probably be in interpreters, too.

FYI: mawk (1.3.3-12) unstable; urgency=low

   * New maintainer; closes: 496711
   * Fix the following lintian issues:
     W: ancient-standards-version 3.5.10.0 (current is 3.8.0)
     W: mawk: unknown-section base
     W: mawk: old-fsf-address-in-copyright-file

That version changed the section to utils to match the override file.
But I happen to agree with this report.  Why not Section: interpreters?

Regards,
Jonathan




Message sent on to Magnus Holmgren <holmgren@lysator.liu.se>:
Bug#442071. (Sun, 18 Jul 2010 10:54:11 GMT) Full text and rfc822 format available.

Message #13 received at 442071-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 442071-submitter@bugs.debian.org
Subject: re: #442071 mawk: Section should be interpreters
Date: Sun, 18 Jul 2010 06:52:36 -0400
[Message part 1 (text/plain, inline)]
I agree, and am making the change in upstream, just in case mawk
gets a responsive maintainer.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Steve Langasek <vorlon@franck.debian.org> to control@bugs.debian.org. (Tue, 25 Oct 2011 00:45:03 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Tue, 25 Oct 2011 02:51:07 GMT) Full text and rfc822 format available.

Notification sent to Magnus Holmgren <holmgren@lysator.liu.se>:
Bug acknowledged by developer. (Tue, 25 Oct 2011 02:51:07 GMT) Full text and rfc822 format available.

Message #20 received at 442071-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 442071-close@bugs.debian.org
Subject: Bug#442071: fixed in mawk 1.3.3-16
Date: Tue, 25 Oct 2011 02:49:26 +0000
Source: mawk
Source-Version: 1.3.3-16

We believe that the bug you reported is fixed in the latest version of
mawk, which is due to be installed in the Debian FTP archive:

mawk_1.3.3-16.diff.gz
  to main/m/mawk/mawk_1.3.3-16.diff.gz
mawk_1.3.3-16.dsc
  to main/m/mawk/mawk_1.3.3-16.dsc
mawk_1.3.3-16_amd64.deb
  to main/m/mawk/mawk_1.3.3-16_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 442071@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated mawk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 25 Oct 2011 00:47:34 +0000
Source: mawk
Binary: mawk
Architecture: source amd64
Version: 1.3.3-16
Distribution: unstable
Urgency: low
Maintainer: Steve Langasek <vorlon@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 mawk       - a pattern scanning and text processing language
Closes: 285418 437557 442071 507315
Changes: 
 mawk (1.3.3-16) unstable; urgency=low
 .
   * Swap out dpatch in favor of quilt.
   * Replace debian/patches/08_fix-for-gcc3.3 with debian/patches/autoreconf,
     which gets us modern autoconf support.
   * Migrate to dh(1).  This gets us md5sums for the package (Closes: #507315)
     and support for DEB_BUILD_OPTIONS=nostrip (Closes: #437557).
   * Only run the mawk_test and fpe_test targets from override_dh_auto_test,
     so that DEB_BUILD_OPTIONS=nocheck does the right thing.  This should
     be sufficient to support cross-building, provided nocheck is passed in
     the cross-build environment (as it should be).  Closes: #285418.
   * Put mawk in Section: interpreters, along with the other awken.
     Closes: #442071.
   * debian/mawk.postinst: drop obsolete upgrade handling of long-gone broken
     symlinks.
   * Update to standards-version 3.9.2.
   * Add Vcs-Bzr/Vcs-Browser fields.
Checksums-Sha1: 
 d9e7c937154fe27c5b471025bfa99efc2f8f54a2 1801 mawk_1.3.3-16.dsc
 da387be861826dc10f94886a872af8bb7fad4a60 62165 mawk_1.3.3-16.diff.gz
 d919f68083e6a00f743f22aee0eb04993cf440ad 90370 mawk_1.3.3-16_amd64.deb
Checksums-Sha256: 
 0ccdb882d6c9c83428a69be2e574314ecc8f22c9c65494d01ce6c39249c98858 1801 mawk_1.3.3-16.dsc
 2140b615d66922b3746be524d3d60cc2b71746fba8b562108abcd100197bace1 62165 mawk_1.3.3-16.diff.gz
 17940710b69fa5110808950a696d754b64af09731be78412e85775b4e76bd70b 90370 mawk_1.3.3-16_amd64.deb
Files: 
 54730c6ec09add386bcb3db96d14073e 1801 interpreters required mawk_1.3.3-16.dsc
 7caca7cc5311369749415179aae49ff6 62165 interpreters required mawk_1.3.3-16.diff.gz
 7c4b258da7e6f27d2bb2012754b3d4a1 90370 interpreters required mawk_1.3.3-16_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTqYHq1aNMPMhshM9AQiSAxAAwdnkoOJDoNkYAwHsB58d7PeGdkfiUGDH
pkM9xvCapZOhk3Iso0X/W6NgEaGAuKcZ+U5/54AT4C1VDqGMu8gU71z9RgYUbcSE
8Jri92zlLN3nvsmvQjxCTjTSQjpTQ4wzCC5pXzPY6AdSf7o8+jEu2Xluo4rjq3oG
STCghSk5hrY93eNPJphnUE/OjPOqHVc8nKPlTSk8WrMKKaTZU9uxwSMmUfFY8Eau
tNkFpu5Ukb4f1FKAUqdxfuHjg4smKswfPUaU/6G7xVINmtKSJ5zN3uqsYVIwuXC2
6Q05DEpFX66HK7rE3BvYfCZA3nTgnVsOvXgS9kC7XY+TfFWkeorD8lgF2QwBfegH
2H3B0V9/Ytzvl41Zz2/EhEvfw5GLbVu54IdPloyH25itdAje+t7K4JEzH2anu/Jk
d1ZviOoIbNPGnATKr5pyQblaKP2P7NKScSXHhvunRFMU7V9mZ4Zxtv1FbaVEufYO
gMJ4oDqw0nCkD0i/LjffLEHClD5CC24LTmeIwoTibP5eDuy6buhY2zuyar7PnZZZ
my7LxK2WnbNk9k+HUNHlEI7auFfCT+ZjbcSHIF7+vtkzA6/vSelZdXxAZIPHxbVI
BpSCZx7SFbHdkF7+4Nku47+ATxTA9dMcJm/RWRnZoxI5K8MnSRYO4VgCsNFLkz2H
ijlLIJEg3NY=
=zQ3q
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#442071; Package mawk. (Tue, 25 Oct 2011 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Tue, 25 Oct 2011 03:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 442071@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 442071@bugs.debian.org
Subject: Re: mawk override disparity
Date: Mon, 24 Oct 2011 20:09:50 -0700
[Message part 1 (text/plain, inline)]
reopen 442071
reassign 442071 ftp.debian.org
retitle 442071 override: mawk:interpreters/required
thanks

Reassigning this bug to ftp.d.o to align the archive overrides.

FTP Team, this puts mawk in the same section as all of the other awk
implementations in the archive.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org


On Tue, Oct 25, 2011 at 02:49:34AM +0000, Debian FTP Masters wrote:
> There are disparities between your recently accepted upload and the
> override file for the following file(s):
> 
> mawk_1.3.3-16_amd64.deb: package says section is interpreters, override says utils.
> 
> 
> Please note that a list of new sections were recently added to the
> archive: cli-mono, database, debug, fonts, gnu-r, gnustep, haskell,
> httpd, java, kernel, lisp, localization, ocaml, php, ruby, vcs, video,
> xfce, zope.  At this time a script was used to reclassify packages into
> these sections.  If this is the case, please only reply to this email if
> the new section is inappropriate, otherwise please update your package
> at the next upload.
> 
> Either the package or the override file is incorrect.  If you think
> the override is correct and the package wrong please fix the package
> so that this disparity is fixed in the next upload.  If you feel the
> override is incorrect then please file a bug against ftp.debian.org and
> explain why. Please INCLUDE the list of packages as seen above, or we
> won't be able to deal with your request due to missing information.
> 
> Please make sure that the subject of the bug you file follows the
> following format:
> 
> Subject: override: BINARY1:section/priority, [...], BINARYX:section/priority
> 
> Include the justification for the change in the body of the mail please.
> 
> 
> [NB: this is an automatically generated mail; if you already filed a bug
> and have not received a response yet, please ignore this mail.  Your bug
> needs to be processed by a human and will be in due course, but until
> then the installer will send these automated mails; sorry.]
> 
> --
> Debian distribution maintenance software
> 
> (This message was generated automatically; if you believe that there
> is a problem with it please contact the archive administrators by
> mailing ftpmaster@debian.org)
> 
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions mawk/1.3.3-16 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Oct 2011 03:12:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mawk' to 'ftp.debian.org'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 25 Oct 2011 03:12:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mawk/1.3.3-11. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 25 Oct 2011 03:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'override: mawk:interpreters/required' from 'mawk: Section should be interpreters' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 25 Oct 2011 03:12:05 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 25 Oct 2011 09:44:32 GMT) Full text and rfc822 format available.

Notification sent to Magnus Holmgren <holmgren@lysator.liu.se>:
Bug acknowledged by developer. (Tue, 25 Oct 2011 09:44:33 GMT) Full text and rfc822 format available.

Message #38 received at 442071-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 442071-close@bugs.debian.org
Cc: mawk@packages.debian.org
Subject: Bug#442071: fixed
Date: Tue, 25 Oct 2011 09:42:36 +0000
We believe that the bug you reported is now fixed; the following
changes were made to the overrides...

Concerning package mawk...
Operating on the unstable suite
Changed section from utils to interpreters


Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 442071@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Nov 2011 07:38:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:50:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.